Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000664 [1003.1(2008)/Issue 7] System Interfaces Objection Omission 2013-02-25 10:21 2013-05-03 12:20
Reporter geoffclare View Status public  
Assigned To ajosey
Priority normal Resolution Accepted  
Status Interpretation Required  
Name Geoff Clare
Organization The Open Group
User Reference
Section localtime()
Page Number 1238
Line Number 40811
Interp Status Approved
Final Accepted Text See Note: 0001492.
Summary 0000664: localtime_r() has incomplete daylight and timezone requirements
Description In the Issue 6 change history on the localtime() page there is this entry:

    IEEE Std 1003.1-2001/Cor 2-2004, item XSH/TC2/D6/56 is applied,
    adding a requirement that if localtime_r() does not set the tzname
    variable, it shall not set the daylight or timezone variables. On
    systems supporting XSI, the daylight, timezone, and tzname
    variables should all be set to provide information for the same
    timezone. This updates the description of localtime_r() to mention
    daylight and timezone as well as tzname.

It is apparent from this that the intention is that the daylight and
timezone variables should always be kept consistent with tzname.
However, the normative text only requires that if localtime_r() does
not set tzname then it does not set daylight and timezone. There is
no requirement that if localtime_r() sets tzname then it also sets
daylight and timezone.

The ctime() page, as updated by Issue 7 TC1, has the same problem.
Desired Action Change:

    If localtime_r() does not set tzname, it shall not set daylight
    and shall not set timezone.

to:

    If localtime_r() sets tzname, it shall also set daylight and
    timezone. If localtime_r() does not set tzname, it shall not set
    daylight and shall not set timezone.

On Page: 715 Line: 24085 Section: ctime(), after applying XSH/TC1/0066,
change:

    If ctime_r() does not set tzname, it shall not set daylight
    and shall not set timezone.

to:

    If ctime_r() sets tzname, it shall also set daylight and timezone.
    If ctime_r() does not set tzname, it shall not set daylight and
    shall not set timezone.
Tags tc2-2008
Attached Files

- Relationships
related to 0000321Closedajosey 1003.1(2004)/Issue 6 ctime needs to be consistent with localtime_r to mention timezone and daylight 

-  Notes
(0001492)
Don Cragun (manager)
2013-03-14 16:01

Interpretation response
------------------------

The standard does not speak to this issue, and as such no conformance distinction can be made between alternative implementations based on this. This is being referred to the sponsor.

Rationale:
-------------
This is needed for consistent behavior.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------
Make the changes noted in the Desired Action.
(0001511)
ajosey (manager)
2013-03-29 08:03

Interpretation Proposed 29 Mar 2013
(0001584)
ajosey (manager)
2013-05-03 12:20

Interpretation approved 3 May 2013

- Issue History
Date Modified Username Field Change
2013-02-25 10:21 geoffclare New Issue
2013-02-25 10:21 geoffclare Status New => Under Review
2013-02-25 10:21 geoffclare Assigned To => ajosey
2013-02-25 10:21 geoffclare Name => Geoff Clare
2013-02-25 10:21 geoffclare Organization => The Open Group
2013-02-25 10:21 geoffclare Section => localtime()
2013-02-25 10:21 geoffclare Page Number => 1238
2013-02-25 10:21 geoffclare Line Number => 40811
2013-02-25 10:21 geoffclare Interp Status => ---
2013-02-25 10:21 geoffclare Relationship added related to 0000321
2013-03-14 16:01 Don Cragun Interp Status --- => Pending
2013-03-14 16:01 Don Cragun Note Added: 0001492
2013-03-14 16:01 Don Cragun Final Accepted Text => See Note: 0001492.
2013-03-14 16:01 Don Cragun Status Under Review => Interpretation Required
2013-03-14 16:01 Don Cragun Resolution Open => Accepted
2013-03-14 16:02 Don Cragun Tag Attached: tc2-2008
2013-03-29 08:03 ajosey Interp Status Pending => Proposed
2013-03-29 08:03 ajosey Note Added: 0001511
2013-05-03 12:20 ajosey Interp Status Proposed => Approved
2013-05-03 12:20 ajosey Note Added: 0001584


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker